Subject: RE: bug#20697: 25.0.50; Mention `M-x report-emacs-bug' on splash screen

From: Drew Adams <[email-masked]>
Date: Wed, 21 Aug 2019 14:27:07 -0700 (PDT)

> > So this basically adds another line and links directly to the Bugs
> info
> > page.  Hm.  Would it be possible to instead just change the line
> >
> > Contributing    How to contribute improvements to Emacs
> >
> > to something like the following?  That link already links to the bug
> > reporting page...
> >
> > Contributing    How to report bugs and contribute improvements
> 
> I had missed that, but you're absolutely correct and I agree that its
> a better solution.
> 
> There was also a suggestion by Drew in the original post to mention
> the Help menu as well.  Is that something we want to do?  But then,
> wouldn't we also want to suggest C-h C-h, C-h C-i, etc.?  Maybe a
> better alternative would be to add the Emacs Manual at the bottom,
> after the link to the guided tour?  (And, but maybe that's just me, to
> move all the help topics ("Emacs Tutorial", "Emacs Guided Tour") to
> the top?)

I saw that "How to contribute..." but I thought/think
its destination is to the doc section about contributing.

If so, that's not quite the same thing.

It would be OK to have a single link that points to
something that covered both (1) `report-emacs-bug',
mentioning that that's also for enhancement requests,
and (2) how to contribute in a deeper way: GIT, patches
etc.

[Mentioning also enhancement requests was my input
for this bug thread.]

But in that case, the more lightweight feedback, #1,
should be separated and up front, so users wanting
to report a bug or suggest an enhancement need not
find themselves immediately in the depths of how to
contribute in a deeper way.

We want (IMO) to encourage lots of users to provide
relatively easy feedback, beyond also wanting some
users to get more deeply involved.  We don't want
people to get the impression that lightweight
suggestions are not possible or encouraged, and that
a heavy commitment is the only encouraged participation.

Just one opinion.